# PhasicFlow: src/Interaction/contactSearch/contactSearchFunctions.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

contactSearchFunctions.hpp File Reference
Include dependency graph for contactSearchFunctions.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow

## Functions

INLINE_FUNCTION_HD uint64_t | splitBy3 (const uint64_t val)
INLINE_FUNCTION_HD uint64_t | xyzToMortonCode64 (uint64_t x, uint64_t y, uint64_t z)
INLINE_FUNCTION_HD uint64_t | getThirdBits (uint64_t x)
INLINE_FUNCTION_HD void | mortonCode64Toxyz (uint64_t morton, uint64_t &x, uint64_t &y, uint64_t &z)
template<typename indexType , typename cellIndexType >
INLINE_FUNCTION_HD void | indexToCell (const indexType idx, const triple< cellIndexType > &extent, triple< cellIndexType > &cell)
template<typename cellIndexType >
INLINE_FUNCTION_HD triple< cellIndexType > | boxExtent (const iBox< cellIndexType > &box)
template<typename indexType , typename cellIndexType >
INLINE_FUNCTION_HD void | indexToCell (const indexType idx, const iBox< cellIndexType > &box, triple< cellIndexType > &cell)